Php8 mit nextcloud 22 Serverfehler

Hallo zusammen, unterstĂĽtzt NC22 kein PHP8? ich habe es mal aktiviert aber es kommt ein Serverfehler. Hat da jemand eine Info zu?

Hallo,

NC unterstützt seit Version 21 PHP8, aber ohne auch nur die Fehlermeldung bereitzustellen, geschweige denn Informationen zu deinem Systemaufbau ist es wirklich unmöglich die zu helfen.

(Anruf in der Werkstatt: “mein Auto unbestimmter Marke fährt nicht - was ist das Problem?”)

/S

Also als System läuft Debian 10. PHP8 ist in Keyhelp als Interpreter installiert genau wie auch php7.4.
Ich habe gerade schau schon alle Apps deaktiviert aber ohne Verbesserung.
Welche Logs brauchst du zum Nachvollziehen?

Als Anfang wäre die Fehlermeldung schon Mal ganz hilfreich…

Interner Serverfehler

Der Server konnte die Anfrage nicht fertig stellen.

Sollte dies erneut auftreten, senden Sie bitte die nachfolgenden technischen Einzelheiten an Ihren Server-Administrator.

Weitere Details können im Server-Protokoll gefunden werden.

Technische Details

Okay, so kommen wir nicht weiter.

Bitte schau in die Logs deines Servers (genau wird in der Browser-Fehlermeldung empfohlen) und melde, was dort als Problem steht.

Sind alle benötigten PHP-Module in der Version 8 aktiv?

Ioncube fehlt, soll es das sein?

Eine Liste mit den benöltigten PHP Modulen findest du hier…

https://docs.nextcloud.com/server/latest/admin_manual/installation/source_installation.html

Ansonsten kann es natürlich alle möglichen Gründe haben, warum ein interner Server Fehler auftritt… Wir brauchen definitiv mehr Details, um hier helfen zu können.

Wie hast du Nextcloud installiert? Hast du eine bestimmte Anleitung verwendet? Welchen Webserver verwendest du? Welche Datenbank nutzt du? Laufen alle relevanten Dienste wie Webserver, PHP-FPM, Datenbank, Redis usw…? Configs, Logs…?